# $Revision: 1.27 $, $Date: 2012/03/03 07:39:12 $
Summary:	fontenc - font encoding library
Summary(pl.UTF-8):	Biblioteka fontenc obsługująca kodowanie fontów
Name:		xorg-lib-libfontenc
Version:	1.1.1
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libfontenc-%{version}.tar.bz2
# Source0-md5:	a2a861f142c3b4367f14fc14239fc1f7
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-font-font-util >= 1.1
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fontenc - font encoding library.

%description -l pl.UTF-8
Biblioteka fontenc obsługująca kodowanie fontów.

%package devel
Summary:	Header files for libfontenc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libfontenc
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
# just for dirs
Requires:	xorg-proto-fontsproto-devel
Requires:	zlib-devel

%description devel
fontenc - font encoding library.

This package contains the header files needed to develop programs that
use libfontenc.

%description devel -l pl.UTF-8
Biblioteka fontenc obsługująca kodowanie fontów.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libfontenc.

%package static
Summary:	Static libfontenc library
Summary(pl.UTF-8):	Biblioteka statyczna libfontenc
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
fontenc - font encoding library.

This package contains the static libfontenc library.

%description static -l pl.UTF-8
Biblioteka fontenc obsługująca kodowanie fontów.

Pakiet zawiera statyczną bibliotekę libfontenc.

%prep
%setup -q -n libfontenc-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-encodingsdir=%{_fontsdir}/encodings

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfontenc.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libfontenc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfontenc.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfontenc.so
%{_includedir}/X11/fonts/fontenc.h
%{_pkgconfigdir}/fontenc.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfontenc.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libfontenc.spec,v $
Revision 1.27  2012/03/03 07:39:12  qboosh
- updated to 1.1.1

Revision 1.26  2011/05/31 16:50:23  gotar
- removed unused *.la files

Revision 1.25  2011/01/29 00:08:05  sparky
- dropped pre-cvs changelog

Revision 1.24  2010/10/22 21:52:04  qboosh
- updated to 1.1.0

Revision 1.23  2009/09/29 21:44:42  qboosh
- updated util-macros version
- ghost soname symlink
- more verbose file and descriptions
- added README to doc

Revision 1.22  2009/09/04 09:44:00  arekm
- up to 1.0.5

Revision 1.21  2008/07/27 23:05:40  arekm
- release 2

Revision 1.20  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.18  2006/12/16 15:21:40  arekm
- up to 1.0.4

Revision 1.17  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.16  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.15  2006/10/13 21:50:00  qboosh
- updated to 1.0.3

Revision 1.14  2006/04/27 06:39:21  arekm
- up to 1.0.2

Revision 1.13  2006/04/15 21:53:01  qboosh
- release 1

Revision 1.12  2005/12/28 15:05:52  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.11  2005/12/20 14:46:04  qboosh
- 1.0.0 (X11R7.0-RC4)
- pass encodingsdir consistent with xorg-font-encodings.spec

Revision 1.10  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 12:32:37  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 19:53:17  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 14:44:20  qboosh
- 0.99.1 (X11R7.0-RC1)
- R: xorg-proto-fontsproto-devel (just for include/X11/fonts dir)

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/27 17:38:15  wiget
- zlib not libz

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs
